BANK FAMA - Bug #1898

[HR-Employee Administration] Employee Movement salah untuk generate employeeid.
12/28/2022 01:31 PM - Muhammad Bintar

Status: Closed Start date: 12/28/2022
Priority: Immediate Due date: 01/04/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada generate employeeid karena pada saat ini sistem masih salah
membaca employeeid di belakang.

angka di belakang nya itu tidak terbentuk angka 0 nya sehingga jika terbentuk employeeid contoh 20230102 malah menjadi
2023012.

kemungkinan ini terjadi error jika ketemu angka genap, kalau angka nya ganijil tidak problem.
History
#1 - 12/29/2022 10:55 AM - Kezia Pawitra Yulianti
- Due date changed from 01/09/2023 to 01/04/2023

- Status changed from New to Assigned
- Assignee changed from Saswanto Tampan to Tri Rizqgiaty

- Priority changed from Normal to Immediate

#2 - 01/04/2023 10:17 AM - Tri Rizqiaty
- File clipboard-202301041016-lhOha.png added
- File wizard.js added

- Status changed from Assigned to Developing

Fixing :
Update folder UNapp\controller\wizard : wizard.js (file terlampir)

}

1:

1 else {

if (isNal{parseInt{data [C].Sequence}} == false} {
var datseq = data_ [U].3equence;
if {datseq.length =='1"}{
rar 2 = "0O" + (parseInt{dats [C].Z3ecquence) + 1}):
nextieq = s.substr{s.length - 4}

{parseInt{data_[D].Sequence} + 1) : /f/fedit by Tri nwh 20230104
I w

#3 - 01/04/2023 10:18 AM - Tri Rizgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizgiaty to Muhammad Bintar

#4 - 10/21/2024 10:39 AM - Muhammad Bintar
- Status changed from QA Test to Closed
